Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP

Fetching latest commit…

Octocat-spinner-32-eaf2f5

Cannot retrieve the latest commit at this time

Octocat-spinner-32 etc
Octocat-spinner-32 html
Octocat-spinner-32 inc
Octocat-spinner-32 lib
Octocat-spinner-32 ChangeLog
Octocat-spinner-32 LICENSE initial import of RT-Authen-ExternalAuth 0.01 from CPAN March 23, 2011
Octocat-spinner-32 MANIFEST
Octocat-spinner-32 META.yml
Octocat-spinner-32 Makefile.PL
Octocat-spinner-32 README
README
RT-Authen-ExternalAuth

This module provides the ability to authenticate RT users
against one or more external data sources at once. It will
also allow information about that user to be loaded from
the same, or any other available, source.

The extension currently supports authentication and 
information from LDAP via the Net::LDAP module, and from
any data source that an installed DBI driver is available
for. 

It was originally designed and tested against: 

MySQL v4.1.21-standard
MySQL v5.0.22
Windows Active Directory v2003

But it has been designed so that it should work with ANY
LDAP service and ANY DBI-drivable database, based upon the
configuration given in your $RTHOME/etc/RT_SiteConfig.pm


INSTALLATION

To install this module, run the following commands:

    perl Makefile.PL
    make
    make install

If you are using RT 3.8.x, you need to enable this
module by adding RT::Authen::ExternalAuth to your
@Plugins configuration:

Set( @Plugins, qw(RT::Authen::ExternalAuth) );

Once installed, you should view the file:
    
3.4/3.6    $RTHOME/local/etc/ExternalAuth/RT_SiteConfig.pm
3.8        $RTHOME/local/plugins/RT-Auth-ExternalAuth/etc/RT_SiteConfig.pm

Then use the examples provided to prepare your own custom 
configuration which should be added to your site configuration in
$RTHOME/etc/RT_SiteConfig.pm

Alternatively, you may alter the provided examples directly
and then include the extra directives by 'requiring' the
example file's path at the end of your RT_SiteConfig.pm


UPGRADING

If you are upgrading from 0.05 you may have some leftover
parts of the module in 

$RTHOME/local/lib/RT/User_Vendor.pm 
$RTHOME/local/lib/RT/Authen/External_Auth.pm

that will conflict with the new install and these should be removed

AUTHOR
        Mike Peachey
        Jennic Ltd.
        zordrak@cpan.org

COPYRIGHT AND LICENCE

Copyright (C) 2008, Jennic Ltd.

This software is released under version 2 of the GNU 
General Public License. The license is distributed with
this package in the LICENSE file found in the directory 
root.
Something went wrong with that request. Please try again.